View Issue Details

IDProjectCategoryLast Update
0019563AI War 2[All Projects] Bug - OtherApr 14, 2018 12:50 pm
Reporterx4000BughunterAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version0.721 
Summary0019563: Selecting units on second planet acts as if shift is held down.
DescriptionGo to planet 1, and drag-select select some units.
Go to planet two, and drag-select some more.

Observe that, apparently, both groups of units are still selected. Normally unless shift is held down, it should just be the second group of units that is selected at this point.

Per Magnus, https://forums.arcengames.com/ai-war-ii/ai-war-2-v0-718-released!-'a-wild-gui-appears'/msg218459/#msg218459
TagsNo tags attached.

Activities

BadgerBadger

Apr 11, 2018 10:08 am

manager   ~0047411

I've definitely done the "Select ark, send it to safety. Select fleet, send it to battle. Discover my Ark is now in the battle since it was still part of my selection" thing before

BadgerBadger

Apr 14, 2018 12:29 pm

manager   ~0047429

This is because in PlanetViewSelector.cs::DoIsSelectingLogic we say
                    if ( !mouseEventFlags.Has( ArcenInputFlags.Additive ) )
                        Engine_AIW2.Instance.ClearSelection( SelectionCommandScope.CurrentPlanet );

ie selecting on a new planet is going to be additive, since we don't clear the previous selection. To clear the previous selections then we would need to say
                        Engine_AIW2.Instance.ClearSelection( SelectionCommandScope.AllPlanets );

the current behaviour winds up being confusing. The most problematic scenario is "I select my Ark on planet A and send it to safety. I then go to planet B and send my fleet into battle." This winds up with my Ark going to the battle, which is very undesirable. The choices to my mind are either to change the ClearSelection behaviour as mentioned above, or to provide really good UI feedback that you still have the Ark selected.

x4000Bughunter

Apr 14, 2018 12:34 pm

administrator   ~0047430

Last edited: Apr 14, 2018 12:34 pm

View 2 revisions

If you don't mind, just changing the ClearSelection stuff as you note above would be perfect. It's definitely what people expect, and one less thing for Keith's list is always good. :)

edit: Thank you, by the way -- as always!

BadgerBadger

Apr 14, 2018 12:50 pm

manager   ~0047431

fixed in my sandbox (it's the one liner mentioned in the text). I'll push it later this weekend or monday once the .722 churn has died down.

Issue History

Date Modified Username Field Change
Apr 4, 2018 2:30 pm x4000Bughunter New Issue
Apr 4, 2018 2:30 pm x4000Bughunter Status new => assigned
Apr 4, 2018 2:30 pm x4000Bughunter Assigned To => keith.lamothe
Apr 11, 2018 10:08 am BadgerBadger Note Added: 0047411
Apr 14, 2018 12:29 pm BadgerBadger Note Added: 0047429
Apr 14, 2018 12:34 pm x4000Bughunter Note Added: 0047430
Apr 14, 2018 12:34 pm x4000Bughunter Note Edited: 0047430 View Revisions
Apr 14, 2018 12:50 pm BadgerBadger Status assigned => resolved
Apr 14, 2018 12:50 pm BadgerBadger Resolution open => fixed
Apr 14, 2018 12:50 pm BadgerBadger Fixed in Version => 0.721
Apr 14, 2018 12:50 pm BadgerBadger Note Added: 0047431